program test01;

uses mode13h;

var x:integer;
    y:integer;

begin
     initgraph;
     setcolor (1,60,0,0);
     setcolor (2,0,20,0);
     loadpcx ('crush01.pcx',VGA);
     readln;
     line (1,60,12,12,12,VGA);
     readln;
     x:=1;
     y:=2;
     repeat ;
     putpixel (x,y,2,VGA);
     x:=x+1;
     if x>160 then y:=y-1;
     if x<=160 then y:=y+1;
     until (x>320) or (y>200);
     readln;
     closegraph;
end.